/*running model on all (violent and non-violent) state deaths */

/*first, I will stset the data*/

stset year1, failure(allexit==1) id(ccode) enter(time Year) origin(time yearent)

/*now, let's produce results for tables*/

stcox gdbuffer logcapnew allydum legitimacy energy irst demcat post45 mountainous numgps, robust cluster(cluster)
stcox bbuffer logcapnew allydum legitimacy energy irst demcat post45 mountainous numgps, robust cluster(cluster)
stcox impbuffmap logcapnew allydum legitimacy energy irst demcat post45 mountainous numgps, robust cluster(cluster)
stcox impbuffmap logcapnew allytype legitimacy energy irst demcat post45 mountainous numgps, robust cluster(cluster)
stcox impbuffmap balancenew legitimacy energy irst demcat post45 mountainous numgps, robust cluster(cluster)
stcox impbuffmap balancenew recognition energy irst demcat post45 mountainous numgps, robust cluster(cluster)

/*now, let's just focus on specific hypotheses, starting with buffer states*/

stcox gdbuffer post45 mountainous numgps, robust cluster(cluster)
stcox bbuffer post45 mountainous numgps, robust cluster(cluster)
stcox impbuffmap post45 mountainous numgps, robust cluster(cluster)

/*next, balancing*/

stcox logcapnew allydum post45 mountainous numgps, robust cluster(cluster)
stcox logcapnew allytype post45 mountainous numgps, robust cluster(cluster)
stcox balancenew post45 mountainous numgps, robust cluster(cluster)
stcox impbuffmap logcapnew allydum post45 mountainous numgps, robust cluster(cluster)
stcox impbuffmap logcapnew allytype post45 mountainous numgps, robust cluster(cluster)
stcox impbuffmap balancenew post45 mountainous numgps, robust cluster(cluster)

/*next, legitimacy*/

stcox legitimacy post45 mountainous numgps, robust cluster(cluster)
stcox recognition post45 mountainous numgps, robust cluster(cluster)
stcox impbuffmap legitimacy post45 mountainous numgps, robust cluster(cluster)
stcox impbuffmap recognition post45 mountainous numgps, robust cluster(cluster)

/*next, nationalism*/

stcox energy irst demcat post45 mountainous numgps, robust cluster(cluster)
stcox impbuffmap energy irst demcat post45 mountainous numgps, robust cluster(cluster)


