/*running robustness tests on all state death */

/*first, I will stset the data*/

stset year1, failure(allexit==1) id(ccode) enter(time Year) origin(time yearent)

/*now, I will run models including all of Europe as buffer states during the Cold War*/


stcox cwbuffer logcapnew allydum legitimacy energy irst demcat post45 mountainous numgps, robust cluster(cluster)
stcox cwbuffer logcapnew allytype legitimacy energy irst demcat post45 mountainous numgps, robust cluster(cluster)
stcox cwbuffer balancenew legitimacy energy irst demcat post45 mountainous numgps, robust cluster(cluster)
stcox cwbuffer balancenew recognition energy irst demcat post45 mountainous numgps, robust cluster(cluster)

/*now, I will run the data not counting the world war ii occupations as state deaths.  in order to do this, i need to re-stset the data*/

stset year1, failure(nowwii==1) id(ccode) enter(time Year) origin(time yearent)

/*now, I will run the data with the new coding of the dependent variable*/


stcox impbuffmap logcapnew allydum legitimacy energy irst demcat post45 mountainous numgps, robust cluster(cluster)
stcox impbuffmap logcapnew allytype legitimacy energy irst demcat post45 mountainous numgps, robust cluster(cluster)
stcox impbuffmap balancenew legitimacy energy irst demcat post45 mountainous numgps, robust cluster(cluster)
stcox impbuffmap balancenew recognition energy irst demcat post45 mountainous numgps, robust cluster(cluster)

/*now, I will re-stset the data such that vstexit==failure*/

stset year1, failure(vstexit==1) id(ccode) enter(time Year) origin(time yearent)


