/*running model on violent state death */

/*first, I will stset the data*/

stset year1, failure(vstexit==1) id(ccode) enter(time Year) origin(time yearent)

/*next, I will run some Cox models*/


stcox logcapnew allydum legitimacy energy irst demcat mountainous numgps, robust cluster(cluster)

stcox logcapnew allytype legitimacy energy irst demcat mountainous numgps, robust cluster(cluster)
stcox balancenew legitimacy energy irst demcat mountainous numgps, robust cluster(cluster)
stcox balancenew recognition energy irst demcat mountainous numgps, robust cluster(cluster)

/*now, let's just test balancing*/

stcox logcapnew allydum legitimacy mountainous numgps, robust cluster(cluster)
stcox logcapnew allytype legitimacy mountainous numgps, robust cluster(cluster)
stcox balancenew legitimacy mountainous numgps, robust cluster(cluster)

/*now, let's just test nationalism*/

stcox energy irst demcat legitimacy mountainous numgps, robust cluster(cluster)

/*now, let's test to see if neutrality has an effect*/

stcox logcapnew neutrality legitimacy energy irst demcat mountainous numgps

/*now, let's test to see if the balance of power between rivals has an effect*/

stcox rivasymmetry legitimacy mountainous numgps, robust cluster(cluster)
stcox logcapnew allydum legitimacy energy irst demcat rivasymmetry mountainous numgps, robust cluster(cluster)

/*now, let's test to see if the buffer's power vis-a-vis rivals has an effect*/

stcox logbuffercap legitimacy mountainous numgps, robust cluster(cluster)
stcox logcapnew allydum legitimacy energy irst demcat logbuffercap mountainous numgps, robust cluster(cluster)

/*now, let's test the tiring hands, diverted rivalry hypothesis*/

stcox logbuffercap legitimacy mountainous numgps, robust cluster(cluster)
stcox logcapnew allydum legitimacy energy irst demcat logbuffercap thdr mountainous numgps, robust cluster(cluster)


