/*this do file runs competing risks models based on multinomial logit, where event2 is the dv and 0=no incursion or nonviolent death; 1=intervention; and 2=violent state death)*/





mlogit event2 yearsalive _spline1 _spline2 _spline3 logcap allydum gdbuffer post45 dem, robust cluster(cluster)

mlogit event2 yearsalive _spline1 _spline2 _spline3 logcap allydum gdbuffer post45 dem irst, robust cluster(cluster)

mlogit event2 yearsalive _spline1 _spline2 _spline3 logcap allydum gdbuffer post45 dem energy, robust cluster(cluster)

mlogit event2 yearsalive _spline1 _spline2 _spline3 logcap allytype gdbuffer post45 dem energy, robust cluster(cluster)

mlogit event2 yearsalive _spline1 _spline2 _spline3 logcap allytype gdbuffer post45 dem irst, robust cluster(cluster)

mlogit event2 yearsalive _spline1 _spline2 _spline3 balance gdbuffer post45 dem, robust cluster(cluster)

mlogit event2 yearsalive _spline1 _spline2 _spline3 balance gdbuffer post45 dem irst, robust cluster(cluster)

mlogit event2 yearsalive _spline1 _spline2 _spline3 balance gdbuffer post45 dem energy, robust cluster(cluster)
 
mlogit event2 yearsalive _spline1 _spline2 _spline3 logcap allydum gdbuffer post45 dem numstate, robust cluster(cluster)

mlogit event2 yearsalive _spline1 _spline2 _spline3 logcap allydum gdbuffer post45 dem irst numstate, robust cluster(cluster)

mlogit event2 yearsalive _spline1 _spline2 _spline3 logcap allydum gdbuffer post45 dem energy numstate, robust cluster(cluster)

mlogit event2 yearsalive _spline1 _spline2 _spline3 logcap allytype gdbuffer post45 dem energy numstate, robust cluster(cluster)

mlogit event2 yearsalive _spline1 _spline2 _spline3 logcap allytype gdbuffer post45 dem irst numstate, robust cluster(cluster)

mlogit event2 yearsalive _spline1 _spline2 _spline3 balance gdbuffer post45 dem numstate, robust cluster(cluster)

mlogit event2 yearsalive _spline1 _spline2 _spline3 balance gdbuffer post45 dem irst numstate, robust cluster(cluster)

mlogit event2 yearsalive _spline1 _spline2 _spline3 balance gdbuffer post45 dem energy numstate, robust cluster(cluster)


/*now, we'll try with buffer and post-45 interacted*/

mlogit event2 yearsalive _spline1 _spline2 _spline3 logcap allydum gdbuffer post45 buffer45 dem, robust cluster(cluster)

mlogit event2 yearsalive _spline1 _spline2 _spline3 logcap allydum gdbuffer post45 buffer45 dem irst, robust cluster(cluster)

mlogit event2 yearsalive _spline1 _spline2 _spline3 logcap allydum gdbuffer post45 buffer45 dem energy, robust cluster(cluster)

mlogit event2 yearsalive _spline1 _spline2 _spline3 logcap allytype gdbuffer post45 buffer45 dem energy, robust cluster(cluster)

mlogit event2 yearsalive _spline1 _spline2 _spline3 logcap allytype gdbuffer post45 buffer45 dem irst, robust cluster(cluster)

mlogit event2 yearsalive _spline1 _spline2 _spline3 logcap allydum buffer45 dem, robust cluster(cluster)

mlogit event2 yearsalive _spline1 _spline2 _spline3 logcap allydum buffer45 dem irst, robust cluster(cluster)

mlogit event2 yearsalive _spline1 _spline2 _spline3 logcap allydum buffer45 dem energy, robust cluster(cluster)

mlogit event2 yearsalive _spline1 _spline2 _spline3 logcap allytype buffer45 dem energy, robust cluster(cluster)

mlogit event2 yearsalive _spline1 _spline2 _spline3 logcap allytype buffer45 dem irst, robust cluster(cluster)


mlogit event2 yearsalive _spline1 _spline2 _spline3 balance gdbuffer post45 buffer45 dem, robust cluster(cluster)

mlogit event2 yearsalive _spline1 _spline2 _spline3 balance gdbuffer post45 buffer45 dem irst, robust cluster(cluster)

mlogit event2 yearsalive _spline1 _spline2 _spline3 balance gdbuffer post45 buffer45 dem energy, robust cluster(cluster)
 
mlogit event2 yearsalive _spline1 _spline2 _spline3 logcap allydum gdbuffer post45 buffer45 dem numstate, robust cluster(cluster)

mlogit event2 yearsalive _spline1 _spline2 _spline3 logcap allydum gdbuffer post45 buffer45 dem irst numstate, robust cluster(cluster)

mlogit event2 yearsalive _spline1 _spline2 _spline3 logcap allydum gdbuffer post45 buffer45 dem energy numstate, robust cluster(cluster)

mlogit event2 yearsalive _spline1 _spline2 _spline3 logcap allytype gdbuffer post45 buffer45 dem energy numstate, robust cluster(cluster)

mlogit event2 yearsalive _spline1 _spline2 _spline3 logcap allytype gdbuffer post45 buffer45 dem irst numstate, robust cluster(cluster)

mlogit event2 yearsalive _spline1 _spline2 _spline3 balance gdbuffer post45 buffer45 dem numstate, robust cluster(cluster)

mlogit event2 yearsalive _spline1 _spline2 _spline3 balance gdbuffer post45 buffer45 dem irst numstate, robust cluster(cluster)

mlogit event2 yearsalive _spline1 _spline2 _spline3 balance gdbuffer post45 buffer45 dem energy numstate, robust cluster(cluster)

